Subject: Re: bug#8728: test 'stat-free-color' failed (latest git version v8.12-42-g7d44751)

From: Jim Meyering <[email-masked]>
Date: Wed, 25 May 2011 07:37:56 +0200

Stefano Lattarini wrote:
...
>> If my guess is correct, then adding ",stat64,lstat64"
>> to the strace command may be the solution:
>>
>>    strace -o log -e stat,lstat,stat64,lstat64 ls --color=always . || fail=1
>>
> Yes, this does indeed fix the failure.

Thanks for confirming.  Here's the complete patch.

>From 4cef42d22072899aae24b073016a5100981682b5 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Wed, 25 May 2011 07:35:59 +0200
Subject: [PATCH] tests: ls/stat-free-color: fix unwarranted failure on a
 32-bit system

* tests/ls/stat-free-color: Also check for stat64 and lstat64 syscalls.
This fixes a test failure reported by Stefano Lattarini.
---
 tests/ls/stat-free-color |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tests/ls/stat-free-color b/tests/ls/stat-free-color
index f14beb9..6bbd89c 100755
--- a/tests/ls/stat-free-color
+++ b/tests/ls/stat-free-color
@@ -47,7 +47,7 @@ MULTIHARDLINK 00
 EOF
 eval $(dircolors -b color-without-stat)

-strace -o log -e stat,lstat ls --color=always . || fail=1
+strace -o log -e stat,lstat,stat64,lstat64 ls --color=always . || fail=1
 n_lines=$(wc -l < log)
 test $n_lines = 1 || { fail=1; cat log; }

--
1.7.5.2.585.gfbd48